Get Payroll RawDeprecated
Fetch raw payroll transactions. Deprecated — use wsdlGetPayrollV2 instead.
Request
apiKeystring
API key of the unit.
fromDatestring
toDatestring
attestint
pSalTypestring
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/getPayrollRaw"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetPayrollRaw>
<apiKey xsi:type="xsd:string">string</apiKey>
<fromDate xsi:type="xsd:string">string</fromDate>
<toDate xsi:type="xsd:string">string</toDate>
<attest xsi:type="xsd:int">0</attest>
<pSalType xsi:type="xsd:string">string</pSalType>
</tns:wsdlGetPayrollRaw>
</soap:Body>
</soap:Envelope>
EOFResponse
returnArray<PayrollRaw>
itemPayrollRaw
idintrequired
empNamestringrequired
restIdintrequired
badgeNostringrequired
socsecNostringrequired
cardNostringrequired
punchIdstringrequired
punchDatestringrequired
punchInstringrequired
punchOutstringrequired
hoursdecimalrequired
costCentrestringrequired
projectNostringrequired
accountNostringrequired
salaryTypestringrequired
begTimestringrequired
endTimestringrequired
shiftHoursdecimalrequired
punchHoursdecimalrequired
pTypestringrequired
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetPayrollRawResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:PayrollRaw[1]">
<item xsi:type="tns:PayrollRaw">
<id xsi:type="xsd:int">0</id>
<empName xsi:type="xsd:string">string</empName>
<restId xsi:type="xsd:int">0</restId>
<badgeNo xsi:type="xsd:string">string</badgeNo>
<socsecNo xsi:type="xsd:string">string</socsecNo>
<cardNo xsi:type="xsd:string">string</cardNo>
<punchId xsi:type="xsd:string">string</punchId>
<punchDate xsi:type="xsd:string">string</punchDate>
<punchIn xsi:type="xsd:string">string</punchIn>
<punchOut xsi:type="xsd:string">string</punchOut>
<hours xsi:type="xsd:decimal">0</hours>
<costCentre xsi:type="xsd:string">string</costCentre>
<projectNo xsi:type="xsd:string">string</projectNo>
<accountNo xsi:type="xsd:string">string</accountNo>
<salaryType xsi:type="xsd:string">string</salaryType>
<begTime xsi:type="xsd:string">string</begTime>
<endTime xsi:type="xsd:string">string</endTime>
<shiftHours xsi:type="xsd:decimal">0</shiftHours>
<punchHours xsi:type="xsd:decimal">0</punchHours>
<pType xsi:type="xsd:string">string</pType>
</item>
</return>
</tns:wsdlGetPayrollRawResponse>
</soap:Body>
</soap:Envelope>